%define name	meld
%define version	0.9.0
%define release	1mdk

Summary:	Meld is a GNOME 2 visual diff and merge tool
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Source1:   	%{name}16.png
Source2:   	%{name}32.png
Source3:   	%{name}48.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
License:	GPL
URL:		http://meld.sourceforge.net/
Group:		File tools
Requires:	pygtk2.0-libglade >= 1.99.15
Requires:	gnome-python >= 1.99.15
Requires:	gnome-python-canvas >= 1.99.15
Requires:	gnome-python-gconf >= 1.99.15
BuildArch:	noarch

%description
Meld is a GNOME 2 visual diff and merge tool. It integrates especially well
with CVS. The diff viewer lets you edit files in place (diffs update
dynamically), and a middle column shows detailed changes and allows merges.
The margins show location of changes for easy navigation, and it also
features a tabbed interface that allows you to open many diffs at once.

%prep
%setup -q

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/meld
cp -r glade2 ${RPM_BUILD_ROOT}%{_libdir}/meld
cp *.py ${RPM_BUILD_ROOT}%{_libdir}/meld
cp -r manual ${RPM_BUILD_ROOT}%{_libdir}/meld
cp %name ${RPM_BUILD_ROOT}%{_libdir}/meld

# Create a wrapper
echo "#!/bin/bash
%{_libdir}/meld/meld
exit 0" > ${RPM_BUILD_ROOT}%{_bindir}/meld
chmod 755 ${RPM_BUILD_ROOT}%{_bindir}/meld

# Icons
install -D -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE3} ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

# Install menu entry
install -d ${RPM_BUILD_ROOT}%{_menudir}
cat << EOF > ${RPM_BUILD_ROOT}%{_menudir}/%{name}
?package(%{name}): needs="x11" \\
		   section="Applications/File tools" \\
		   title="Meld" \\
		   longtitle="%{summary}" \\
		   icon="%{name}.png" \\
		   command="%{name}"
EOF

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING TODO.txt
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Mon Oct 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.0-1mdk
- don't compress icons
- new version

* Mon Sep 1 2003 Austin Acton <aacton@yorku.ca> 0.8.5-1mdk
- 0.8.5

* Tue Aug 26 2003 Austin Acton <aacton@yorku.ca> 0.8.4-1mdk
- steal some ideas from Maxim's spec
- initial Mandrake package
